# Update Dataset Update a dataset. FIBO vs Legacy Behavior: * If training_version is 'fibo': * You CAN update visual_schema (only when status is draft). * You CANNOT update caption_prefix. * If training_version is 'max', 'light', '3.2', or '2.3': * You CAN update caption_prefix (only when status is draft). * You CANNOT update visual_schema. Completion Requirements: To set status to completed: * FIBO Datasets: Must have at least 5 images. * Legacy Datasets: Must have at least 1 image. Note: training_version cannot be updated. Endpoint: PUT /tailored-gen/datasets/{dataset_id} ## Request fields (application/json): - `name` (string) - `caption_prefix` (string) Allowed only for legacy training versions. - `visual_schema` (string) A string containing the JSON structure from /generate_visual_schema. Allowed only for fibo training version. Structure is validated upon update. - `status` (string) Enum: "draft", "completed" ## Response 200 fields (application/json): - `id` (integer) Unique identifier for the dataset - `project_id` (integer) Associated project ID - `name` (string) Dataset name - `caption_prefix` (string) Text automatically prepended to all image captions in the dataset. Each image caption should naturally continues this prefix. A default prefix is automatically created but can be modified, and this same prefix is later used as the default generation prefix during image generation. - `status` (string) Status of the dataset Enum: "draft", "completed" - `captions_update_status` (string) Status of captions update process Enum: "empty", "in_progress", "completed" - `upload_type` (string) The method used to upload images to the dataset. 'basic' is the default. Enum: "basic", "advanced" - `captions_source` (string) The source of the captions. For 'basic' datasets, this is a null. For 'advanced' datasets, this indicates if captions were generated 'automatic' or provided 'manual'. Enum: "automatic", "manual" - `created_at` (string) Timestamp when the dataset was created - `updated_at` (string) Timestamp when the dataset was last updated ## Response 400 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 401 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields